| Flutter macOS Embedder |

Functions
FlutterRenderer.mm File Reference
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterRenderer.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterEngine_Internal.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterExternalTexture.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterViewController_Internal.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterViewEngineProvider.h"`
`#include "flutter/shell/platform/embedder/embedder.h"`

Go to the source code of this file.

## Functions
static FlutterMetalTexture | OnGetNextDrawable (void *user_data, const FlutterFrameInfo *frameInfo)
static bool | OnPresentDrawable (void *user_data, const FlutterMetalTexture *texture)
static bool | OnAcquireExternalTexture (void *user_data, int64_t textureIdentifier, size_t width, size_t height, FlutterMetalExternalTexture *metalTexture)

## Function Documentation

## ◆ OnAcquireExternalTexture()

static bool OnAcquireExternalTexture | ( | void * | user_data,
|  | int64_t | textureIdentifier,
|  | size_t | width,
|  | size_t | height,
|  | FlutterMetalExternalTexture * | metalTexture
| ) |  |
| static

Definition at line 25 of file FlutterRenderer.mm.

29 {
30 FlutterEngine* engine = (__bridge FlutterEngine*)user_data;
31 return [engine.renderer populateTextureWithIdentifier:textureIdentifier
32 metalTexture:metalTexture];
33 }

References user_data.

Referenced by FlutterRenderer::createRendererConfig.

## ◆ OnGetNextDrawable()

static FlutterMetalTexture OnGetNextDrawable | ( | void * | user_data,
|  | const FlutterFrameInfo * | frameInfo
| ) |  |
| static

Definition at line 15 of file FlutterRenderer.mm.

15 {
16 NSCAssert(NO, @"The renderer config should not be used to get the next drawable.");
17 return FlutterMetalTexture{};
18 }

Referenced by FlutterRenderer::createRendererConfig.

## ◆ OnPresentDrawable()

static bool OnPresentDrawable | ( | void * | user_data,
|  | const FlutterMetalTexture * | texture
| ) |  |
| static

Definition at line 20 of file FlutterRenderer.mm.

20 {
21 NSCAssert(NO, @"The renderer config should not be used to present drawable.");
22 return false;
23 }

Referenced by FlutterRenderer::createRendererConfig.

FlutterEngine
Definition: FlutterEngine.h:31
user_data
void * user_data
Definition: texture_registrar_unittests.cc:27